MEV(1)

NOM
mev – Programme pour rapporter des évènements de souris

SYNOPSIS
mev [ options ]

DESCRIPTION
Le programme mev fait partie du paquet gpm (gpm(8)). Les informations ci-après sont extraites du fichier texinfo (texinfo(5)) qui est la source d’informations à privilégier.

Le programme xev(1) a servi de modèle pour le programme mev. Il affiche sur la sortie standard les interceptions d’évènement de souris sur la console.

Le comportement par défaut de mev est de tout intercepter, mais des options de ligne de commande peuvent être utilisées pour définir les différents champs de la structure Gpm_Connect et personnaliser le comportement du programme. J’utilise mev pour gérer les évènements de souris avec Emacs.

Les options de ligne de commande pour mev sont les suivantes :

-C numéro
    Sélection d’une console virtuelle pour l’obtention d’évènements. Cette option est destinée au débogage.

-d nombre
    Choisir le masque par défaut. Par défaut, le serveur intercepte n’importe quel évènement n’appartenant pas au masque d’évènement. Le masque peut être fourni sous forme de nombre décimal ou de chaine symbolique.

-e nombre
    Choisir le masque d’évènement. Par défaut, tous les évènements sont interceptés. Le masque peut être fourni sous forme de nombre décimal ou de chaine symbolique.

-E  Entrer en mode emacs. Dans ce mode, les évènements sont rapportés sous forme Lisp plutôt que sous forme de nombres. C’est le format utilisé par le paquet t-mouse dans Emacs.

-f  Vérifier que les évènements soient à l’intérieur de l’écran avant de les rapporter. Cette option réadapte les évènements de pointage qui sont autorisés à sortir des limites de l’écran,

-i  Interactivité. Réception de données saisies sur l’entrée standard pour modifier les paramètres de connexion.

-m nombre
    Choisir le masque minimal de modificateur. Tout évènement avec moins de modificateurs ne sera pas rapporté à mev. La valeur par défaut est 0. Le masque doit être fourni sous forme de nombre décimal ou de chaine symbolique.

-M nombre
    Choisir le masque maximal de modificateur. Tout évènement avec plus de modificateurs qu’indiqué ne sera pas rapporté à mev. La valeur par défaut est 0, c’est-à-dire que tous les évènements sont rapportés. Le masque doit être fourni sous forme de nombre décimal ou de chaine symbolique.

-p  Forcer l’affichage du pointeur lors du glisser-déposer. Cette option est utilisée par Emacs pour éviter d’invoquer iocl(2) à partir du code Lisp.

Lorsque les arguments ne sont pas des entiers décimaux, ils sont considérés comme des listes de caractères alphanumériques, séparés par un seul caractère non alphanumérique. J’utilise la virgule (,), mais n’importe lequel fait l’affaire.

Les noms autorisés pour des évènements sont « move », « drag », « down » ou « press », « up » ou « release », « motion » (qui est à la fois move et drag) et « hard ».

Les noms autorisés pour les modificateurs sont « shift », « leftAlt », « rightAlt », « anyAlt » (« leftAlt » ou « rightAlt ») et « control ».

Quand le commutateur -i est indiqué, mev recherche sur son entrée standard des lignes de commande plutôt que des évènements. Les lignes d’entrée sont analysées et les commandes push et pop sont reconnues.

La commande push accepte alors les options -d, -e, -m et -M avec les mêmes significations que celles décrites ci-avant. Les options non précisées conservent leur valeur précédente et les masques résultants sont utilisés pour rouvrir la connexion avec le serveur. La commande pop est utilisée pour dépiler la pile de connexion. S’il est tenté de dépiler une pile vide, le programme s’arrête.

Les autres commandes reconnues sont info, utilisée pour renvoyer la hauteur de pile, quit pour terminer prématurément le programme et snapshot pour obtenir des informations de configuration du serveur.

BOGUES
Depuis la version 1.16, mev ne fonctionne plus sous xterm. Veuillez utiliser le programme rmev (fourni dans le répertoire sample) pour intercepter les évènements gpm sous xterm ou rxvt. En plus des évènements de souris, rmev affiche aussi les évènements de clavier.

AUTEUR
Alessandro Rubini <rubini@linux.it>
Ian Zimmerman <itz@speakeasy.org>

FICHIERS
/dev/gpmctl Le socket de connexion à gpm.

VOIR AUSSI
gpm(8)      Serveur pour la souris

Le fichier info concernant gpm donnant des informations plus complètes et expliquant la manière d’écrire un client gpm.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.